import(Module_System)
import(Module_Players)
import(Module_Defines)
import(Module_PopScript)
import(Module_Game)
import(Module_Objects)
import(Module_Map)
import(Module_Person)
include("UtilRefs.lua")
include("LibKillPrayer.lua")

SET_TIMER_GOING((12*60)*15, 1)

local ReincPos = {
  MAP_XZ_2_WORLD_XYZ(254, 0),
  MAP_XZ_2_WORLD_XYZ(146, 180)
}

redShamanOwner = 0
blueShamanOwner = 0
GargoylePrayKiller = 0

for i,k in ipairs(ReincPos) do
  local me = world_coord3d_to_map_ptr(k)
  me.MapWhoList:processList(function(t)
    if (t.Type == T_PERSON) then
      if (t.Model == M_PERSON_MEDICINE_MAN) then
        if (i == 1) then
          blueShamanOwner = t.Owner
          GargoylePrayKiller = KillPrayer:new(nil, 166, 130, 166, 132, blueShamanOwner, 10800)
        end
        if (i == 2) then
          redShamanOwner = t.Owner
        end
      end
    end
    return true
  end)
end

function OnTrigger(trigger)
	if (trigger.Pos.D2.Xpos == -23040 and trigger.Pos.D2.Zpos == -32256) then
    if (trigger.u.Trigger.TriggeringPlayer == blueShamanOwner) then
      ProcessGlobalTypeList(T_BUILDING, function(t)
          if (t.Owner == redShamanOwner) then
            createThing(T_EFFECT, M_EFFECT_LIGHTNING_BOLT, TRIBE_NEUTRAL, t.Pos.D3, false, false)
          end
      return true
      end)
      ProcessGlobalTypeList(T_PERSON, function(t)
        if (t.Owner == redShamanOwner) then
          damage_person(t, blueShamanOwner, 90000, 1)
        end
      return true
      end)
    else
      ProcessGlobalTypeList(T_BUILDING, function(t)
        if (t.Owner == blueShamanOwner) then
          createThing(T_EFFECT, M_EFFECT_LIGHTNING_BOLT, TRIBE_NEUTRAL, t.Pos.D3, false, false)
        end
      return true
      end)
      ProcessGlobalTypeList(T_PERSON, function(t)
        if (t.Owner == blueShamanOwner) then
          damage_person(t, redShamanOwner, 90000, 1)
        end
      return true
      end)
    end
	end
  return 0
end

function OnTurn()
  GargoylePrayKiller:CheckIncorrectShamanPraying()
end