import(Module_System)
import(Module_Players)
import(Module_Defines)
import(Module_PopScript)
import(Module_Game)
import(Module_Objects)
import(Module_Map)
import(Module_Person)
include("UtilPThings.lua")
include("UtilRefs.lua")
include("LibBuildings.lua")
include("LibSpells.lua")
include("LibKillPrayer.lua")

local ReincPos = {
  MAP_XZ_2_WORLD_XYZ(248, 58),
  MAP_XZ_2_WORLD_XYZ(122, 180),
  MAP_XZ_2_WORLD_XYZ(190, 184)
}

blueShamanOwner = 0
VaultPrayKiller = 0
VaultPrayKiller1 = 0

for i,k in ipairs(ReincPos) do
  local me = world_coord3d_to_map_ptr(k)
  me.MapWhoList:processList(function(t)
    if (t.Type == T_PERSON) then
      if (t.Model == M_PERSON_MEDICINE_MAN) then
        if (i == 1) then
          blueShamanOwner = t.Owner
          VaultPrayKiller = KillPrayer:new(nil, 98, 238, 98, 242, blueShamanOwner, 0)
          VaultPrayKiller1 = KillPrayer:new(nil, 240, 188, 240, 184, blueShamanOwner, 0)
        end
        if (i == 2) then
          EnableBuilding(t.Owner, M_BUILDING_AIRSHIP_HUT_1)
        end
        if (i == 3) then
          EnableSpell(t.Owner, M_SPELL_EARTHQUAKE)
        end
      end
    end
    return true
  end)
end

function OnTurn()
  VaultPrayKiller:CheckIncorrectShamanPraying()
  VaultPrayKiller1:CheckIncorrectShamanPraying()
end