import(Module_System)
import(Module_Players)
import(Module_Defines)
import(Module_PopScript)
import(Module_Game)
import(Module_Objects)
import(Module_Map)
import(Module_Person)
include("UtilPThings.lua")
include("UtilRefs.lua")
include("LibBuildings.lua")
include("LibSpells.lua")
include("LibKillPrayer.lua")

local ReincPos = {
  MAP_XZ_2_WORLD_XYZ(178, 68),
  MAP_XZ_2_WORLD_XYZ(70, 80)
}

blueShamanOwner = 0
VaultPrayKiller = 0

for i,k in ipairs(ReincPos) do
  local me = world_coord3d_to_map_ptr(k)
  me.MapWhoList:processList(function(t)
    if (t.Type == T_PERSON) then
      if (t.Model == M_PERSON_MEDICINE_MAN) then
        if (i == 1) then
          blueShamanOwner = t.Owner
          VaultPrayKiller = KillPrayer:new(nil, 68, 46, 68, 50, blueShamanOwner, 0)
        end
        if (i == 2) then
          EnableBuilding(t.Owner, M_BUILDING_BOAT_HUT_1)
          SetOneShotCharges(t.Owner, M_SPELL_VOLCANO, 1)
        end
      end
    end
    return true
  end)
end

function OnTurn()
  VaultPrayKiller:CheckIncorrectShamanPraying()
end